Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::Mutex Class Reference

A C++ wrapper for the GDK Mutex object. More...

`#include <xfc/gdk/types.hh>`

List of all members.

## Static Public Member Functions

- void lock ()
    This method marks the beginning of a critical section in which Gdk and Gtk methods can be called.
- void unlock ()
    This method marks the end of a critical section in which Gdk and Gtk methods can be called.

## Detailed Description

A C++ wrapper for the GDK Mutex object.

Mutex wraps the GDK mutex object that C programs lock and unlock with calls to gdk_threads_enter() and gdk_threads_leave() respectively. In XFC you don't use these fucntions. Instead you wrap critical sections of code in calls to Gdk::Mutex::lock() and Gdk::Mutex::unlock();

## Member Function Documentation

void Xfc::Gdk::Mutex::lock | ( |  | ) | `[static]`

| This method marks the beginning of a critical section in which Gdk and Gtk methods can be called. Only one thread at a time can be in such a critial section. If threads have not been enabled this method does nothing.

void Xfc::Gdk::Mutex::unlock | ( |  | ) | `[static]`

| This method marks the end of a critical section in which Gdk and Gtk methods can be called. Only one thread at a time can be in such a critial section. If threads have not been enabled this method does nothing.

The documentation for this class was generated from the following file:

- gdk/types.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3